package com.xunmei.common.core.enums;

/**
 * 用户状态
 * 
 * @author xunmei
 */
public enum RetrievalTaskCycle
{
    NOCYCLE(0, "无周期"),
    DAYCYCLE(1, "每日"),
    WEEKCYCLE(2, "每月"),
    MONTHCYCLE(3, "每月"),
    QUARTERCYCLE(4, "每季度"),
    HALFYEARCYCLE(4, "每半年"),
    YEARCYCLE(5, "每年");

    private final Integer code;
    private final String info;

    RetrievalTaskCycle(Integer code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
